/other-costs/{otherCostId}
This endpoint allows you to delete an Other Cost. Only users with the role "admin" or "manager" can perform this operation.
deleteOtherCost
| Name | Type | Description |
|---|---|---|
otherCostId
required
|
string |
The Other Cost ID |
data
array
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
404
message
string
Example: Resource not found
more_info
string | null
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X DELETE \
'https://api.sandbox.infraspeak.com/v3/other-costs/{otherCostId}' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/other-costs/{otherCostId}', {
method: 'DELETE',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->delete('https://api.sandbox.infraspeak.com/v3/other-costs/{otherCostId}');
import requests
response = requests.delete(
'https://api.sandbox.infraspeak.com/v3/other-costs/{otherCostId}',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()